Table of Contents

Class: fragment | ../bkchem/fragment.py
--- | ---
Base Classes |
--- | ---
simple_parent
Methods |
--- | ---
__init__ get_all_vertices get_package is_consistent read_package
| __init__
    __init__ (
            self,
            id="",
            name="",
            type="explicit",
            strict=True,
            )
| get_all_vertices
    get_all_vertices ( self )
| get_package
    get_package ( self,  doc )
| is_consistent
    is_consistent ( self,  molecule )
| read_package
    read_package ( self,  doc )
Exceptions |
--- | ---
bkchem_fragment_error( "inconsistent", "" )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1